Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.hook
Class GeneratePluggableInstrumentedClassLoader

    java.lang.Object
      org.jboss.aop.hook.GeneratePluggableInstrumentedClassLoader

public class GeneratePluggableInstrumentedClassLoader
extends Object

Generate the instrumented version of the classloader and store it in the filesystem.

Author:
  kevin

Constructor Summary
`GeneratePluggableInstrumentedClassLoader()`

Method Summary
`static byte[]` | `getInstrumentedClassLoader()` Get the instrumented version of the class loader.
`static void` | `main(String[] args)` Store the instrumented classloader in the filesystem.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratePluggableInstrumentedClassLoader

    public GeneratePluggableInstrumentedClassLoader()

Method Detail

### getInstrumentedClassLoader

    public static byte[] getInstrumentedClassLoader()
                                             throws javassist.NotFoundException,
                                                    IOException,
                                                    javassist.CannotCompileException

  Get the instrumented version of the class loader.

  Returns:
    The instrumented version of the class loader.
  Throws:
    `javassist.NotFoundException` - if the class loader cannot be found.
    `javassist.CannotCompileException` - if the class cannot be compiled.
    `IOException` - If the class bytecodes cannot be obtained.

### main

    public static void main(String[] args)

  Store the instrumented classloader in the filesystem.

  Parameters:
    `args` - The filename as the first argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.